% songfilename auch im Markup verfügbar machen
#(define-markup-list-command (setsongfilename layout props songfilename markuplist)
  (string? markup-list?)
  (interpret-markup-list layout (prepend-alist-chain 'songfilename songfilename props) markuplist))

#(define-markup-command (customEps layout props ysize filename)(number? string?)
   #:properties ((songfilename "")
                 (defaultmarkup #f))
   (interpret-markup layout props
     (let ((filepath (if (string-null? songfilename)
                          filename
                          (ly:format "~a/~a/~a" songPath songfilename filename))))
       (if (file-exists? filepath)
             (make-epsfile-markup Y ysize filepath)
             (if defaultmarkup
                 defaultmarkup
                 (ly:format "file does not exist ~a" filepath))
))))
